tutorial = {}
tutorial_page_num = 1

tutorial["page1"] = [[We will look at the game in two parts: Units and Rounds. 
So first the units:
The first unit is the Hauler. Haulers look like this ->





A Hauler is just like it sounds, it carries ore from your mining platforms
to your Main Platform to be sold when the shuttle takes off.
Each Hauler can move up to 3 hexes per round and hold a total of 5 ore.
You will notice a green bar over the top of a Hauler if it is carrying any
ore, this bar will turn red when the Hauler is carrying its max of 5 ore.]]
	
tutorial["page2"] = [[


The second unit in the game is the Surveyor. They look like this ->





A Surveyor does pretty much only what it sounds like it will do. At the end
of each round a Surveyor will, umm, survey the hex its on and the surrounding 
hexes for ore. Surveyed ore will show up if you have "Show Survey" toggled on.
Each Surveyor can move up to 5 hexes per round.]]
	
tutorial["page3"] = [[


The Third 'Unit' is the Mining Platform. They look like this ->





Mining Platforms are made by 'unpacking' a Hauler. To unpack a Hauler, it must
have not moved at all during that round (have all 3 moves left). Select the
Hauler you want to unpack, and hit the 'U' key. If you Mining Platform is on 
a hex that has not been surveyed already it will survey that hex to see if ore
is located there (this is a terrible means to survey an area). Mining Platforms
can then be 'packed' back up into a Hauler with the 'P' key. The new Hauler will 
not have any moves left for that round.]]
	
tutorial["page4"] = [[Once you've moved all your units into the hexes you want them, hit
the Spacebar to end a round. At the end of a round certain things happen in or about
this order:

+Mining Platforms will transfer ore to adjacent Haulers
+Mining Platforms will mine 1 unit of ore
+Surveyors will survey surrounding hexes for ore
+Haulers will transfer ore to the Main Platform is adjacent
+All units will have moves replenish. 

After so many rounds, key an eye on the upper left hand corner, a shuttle will launch
and carry all your stored ore to market. Ore must be delivered to the Main Platform to be
sent to market. Once your ore was sold you can purchase more Haulers or more Surveyors.

You can only purchase another unit if there are free hexes adjacent to the Main Platform.]]

tutorial["page5"] = [[The controls / Key Board shortcuts, in fact they are the only way to perform
some actions. You can use the C key to toggle showing them ingame for your convience.

]]..controls


function checkTutorialCursor ()
	s_x, s_y = love.mouse.getPosition( )
	if (s_x >= win_w/4 and s_x <= win_w/4 +100) and (s_y >= win_h - 40 and s_y <= win_h -20) then
		cursor = "previous_page"
	elseif (s_x >= win_w*3/4 and s_x <= win_w*3/4 +100) and (s_y >= win_h - 40 and s_y <= win_h -20) then
		cursor = "next_page"
	elseif (s_x >= win_w/2 and s_x <= win_w/2 +100) and (s_y >= win_h - 40 and s_y <= win_h -20) then
		cursor = "return"
	else
		cursor = "none"
	end
end

function printTurorial()
	love.graphics.setColor( 0,0,250,255 )
	love.graphics.print("Page Number: "..tutorial_page_num, 10, 10)
	love.graphics.print(tutorial["page"..tutorial_page_num], 10, 40)
	if cursor == "previous_page" then 
		love.graphics.setColor( 0,200,0,255 )
	end
	love.graphics.print("Previous", win_w/4, win_h - 40)
	love.graphics.setColor( 0,0,250,255 )
	if cursor == "next_page" then 
		love.graphics.setColor( 0,200,0,255 )
	end
	love.graphics.print("Next", win_w*3/4, win_h - 40)
	love.graphics.setColor( 0,0,250,255 )
	if cursor == "return" then 
		love.graphics.setColor( 0,200,0,255 )
	end
	love.graphics.print("Return", win_w/2 - 10, win_h - 40)
	if tutorial_page_num == 1 then
		love.graphics.drawq(quadImage, hauler,win_w/2 - r ,120)
	elseif tutorial_page_num == 2 then
		love.graphics.drawq(quadImage, surveyer ,win_w/2 - r ,120)
	elseif tutorial_page_num == 3 then
		love.graphics.drawq(quadImage, platform ,win_w/2 - r ,120)
	end
end
	
function tutorialMousePressed(  x,y,button )
	if cursor == "previous_page" then
		if tutorial_page_num == 1 then
			tutorial_page_num = 5
		else
			tutorial_page_num = tutorial_page_num - 1
		end
	end
	if cursor == "next_page" then
		if tutorial_page_num == 5 then
			tutorial_page_num = 1
		else
			tutorial_page_num = tutorial_page_num + 1 
		end
	end
	if cursor == "return" then
		show_tutorial = false
	end
end
