function mainKeyPress( key )
	if key == "escape" then
		love.event.push("q")
	end
	if key == "s" then
		if show_survey == false then
			show_survey = true
		else
			show_survey = false
		end
	end
	if key == "o" then
		if show_ore == false then
			show_ore = true
		else
			show_ore = false
		end
	end
	if key == " " then
		if animate_move == false then
			endTurn() --game/game
		end
	end
	if key == "u" and next(selected_id) and selected_id[3] == "hauler" then
		unpackPlatform() 	--game/units
	end
	if key == "p" and next(selected_id) and selected_id[3] == "platform" then
		packPlatform() 		--game/units
	end
	if key == "h" then
		c_x, c_y = math.floor(mid_hex*s + w/2), math.floor(mid_hex*h+mid_hex%2*(h/2) + h/2)
	end
	if key == "t" then
		if show_hex == true then
			show_hex = false
		else
			show_hex = true
		end
	end
	if key == "m" and next(selected_id) then
		if selected_id[3] == "surveyor" or selected_id[3] == "hauler" then
			checkMovement(selected_id[1]) 				--game/tools.lua
		end  
	end
	if key == "c" then
		if show_controls == true then
			show_controls = false
		else
			show_controls = true
		end
	end
	if key == "k" then
		main_menu = true
	end
end

function shuttleKeyPress( key )
	if key == "escape" then
		love.event.push("q")
	end
	if key == " " then
		shuttle_launch = 0
	end
end

function mainMenuKeyPress( key )
	if key == "escape" then
		love.event.push("q")
	end
end

function mainMousePressed( x,y,button )
	if button == "l" then
		if cursor == "select"  or cursor == "selected" then
			selected_id = hover_id
			hover_id = {}
			eligible = {}
		--elseif cursor == "selected" then
			if selected_id[3] == "surveyor" or selected_id[3] == "hauler" then
				checkMovement(selected_id[1]) 				--game/tools.lua
			end  
		elseif cursor == "move" then
			population["equip"][selected_id[1]].mode = "moving"
			setMoveOrder(i_,j_) --game/tools
			population["equip"][selected_id[1]].move_left = population["equip"][selected_id[1]].move_left
				- eligible[""..i_..","..j_..""][1][3]
			animate_move = true
			eligible = {}
		elseif cursor == "game_menu" then
			main_menu = true
		else
			eligible = {}
			selected_id = {}
			hover_id = {}
		end
	end
	if button == "r" then
		if next(eligible) then
			eligible = {}
		else
			eligible = {}
			selected_id = {}
			hover_id = {}
		end
	end
end

function shuttleMousePressed( x,y,button )
	if button == "l" then
		if cursor == "buy_surveyor" and cash >= 500 then
			unit_purchaced = newUnit("surveyor")
			if unit_purchaced == "purchased" then
				cash = cash - 500
			end
		elseif cursor == "buy_hauler" and cash >= 1000 then
			unit_purchaced = newUnit("hauler")
			if unit_purchaced == "purchased" then
				cash = cash - 1000
			end
		elseif cursor == "game_menu" then
			main_menu = true
		end
	end
end
		
function mainMenuMousePressed( x,y,button )	
	if button == "l" then
		if cursor == "exit_game" then
			love.event.push("q")
		end
		if cursor == "new_game" then
			newGame()
			main_menu = false
		end
		if cursor == "continue_game" then
			main_menu = false
		end
		if cursor == "how_to_play" then
			show_tutorial = true
			print(cursor)
		end
	end
end