function unpackPlatform()
	eligible = {}
	for i,v in ipairs(population["equip"]) do
		if v.id_num == selected_id[2] and v.move_max == v.move_left then
			id_num_ = id_num_ + 1
			table.insert(population["buildings"],{id_num = id_num_,hex_i = v.hex_i,hex_j = v.hex_j,
				title = "platform",ore_stored = 0, ore_max = 10})
			table.remove(population["equip"],i)
			if not surveyed[""..v.hex_i..","..v.hex_j..""] then
				surveyBelow(v.hex_i,v.hex_j)	--game/units
			end
		end
	end	
end

function packPlatform()
	for i,v in ipairs(population["buildings"]) do
		if v.id_num == selected_id[2]then
			id_num_ = id_num_ + 1
			table.insert(population["equip"],{id_num = id_num_,hex_i = v.hex_i,hex_j = v.hex_j,
				title = "hauler",move_max = 3,move_left = 0,mode = "none", animation_timer = 0,ore_max = 5,
				ore_stored = 0})
			table.remove(population["buildings"],i)
		end
	end	
end


function surveySurround(m,n)
	if not surveyed[""..m..","..n..""] then
		surveyBelow(m,n)
	end
	if m%2 == 0 then
		neighbors_ = neighbors_even
	else
		neighbors_ = neighbors_odd
	end
	for i,v in ipairs(neighbors_) do
		m_,n_ = m + v[1], n + v[2]
		if not surveyed[""..m_..","..n_..""] then
			for j,w in ipairs(ore) do
				if m_ == w.hex_i and n_ == w.hex_j then
					surveyed[""..w.hex_i..","..w.hex_j..""] = {}
					table.insert(surveyed[""..w.hex_i..","..w.hex_j..""], {w.hex_i,w.hex_j,w.density})
				end
			end
		end
	end	
end


function surveyBelow(m,n)
	for j,w in ipairs(ore) do
		if m == w.hex_i and n == w.hex_j then
			surveyed[""..w.hex_i..","..w.hex_j..""] = {}
			table.insert(surveyed[""..w.hex_i..","..w.hex_j..""], {w.hex_i,w.hex_j,w.density})
			survey = false
		end
	end
end

function newUnit(kind)
	local counter = 0 
	local t = true
	while t == true do
		_t = false
		counter = counter + 1
		place = math.random(1,6) --pick an adjacent hex to place the new unit
		_q_, _r_ = neighbors_odd[place][1]+mid_hex, neighbors_odd[place][2]+mid_hex
		if _q_ == mid_hex and _r_ == mid_hex then
			_t = true
		end
		for i,v in ipairs(population["equip"]) do
			if _q_ == v.hex_i and _r_ ==v.hex_j then
				_t = true
			end
		end
		if _t ~= true then
			t = false
			if kind == "surveyor" then
				id_num_ = id_num_ +1
				table.insert(population["equip"],{id_num = id_num_,hex_i = _q_,hex_j = _r_,title = "surveyor",
				move_max = 5,move_left = 0, mode = "none",animation_timer = 0})
				return "purchased"
			else
				id_num_ = id_num_ +1
				table.insert(population["equip"],{id_num = id_num_,hex_i =  _q_,hex_j = _r_,
				title = "hauler",move_max = 3,move_left = 0,mode = "none", animation_timer = 0,ore_max = 5,
				ore_stored = 0})
				return "purchased"
			end
		else
			t = true
		end
		if counter == 12 then --[[12 is pretty arbitrary, but it seems to work that all possible locations
								are checked. There will be a better system in place later]]
			t = false
			return "full"
		end
	end
end
